<div style="margin-bottom: 15px; margin-top: 10px;">
    <h5>
        <span jhiTranslate="mpmApp.stockOpname.home.title">Stock Opnames</span>
    </h5>
    <p-dataTable [value]="stockOpnames" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage" totalRecords="totalItems"
        dataKey="idStockOpname" expandableRows="false" rowHover="true" (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;">
                        <span>
                            <i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['stock-opname-popup-new'] } }]">
                        <span>
                            <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span>
                    </a>
                </li>
            </ul>
            <!-- <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.stockOpname.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form> -->
            <div class="form-control col-md-12">
                <div class="row text-left">
                    <div class="row col-md-12">
                        <div class="col-md-4 form-group">
                            <label for="delaer">{{ 'mpmApp.stockOpname.home.form.dealer' | translate }}</label>



                            <div class="input-group">
                                <input class="ui-inputtext ui-widget ui-state-default ui-corner-all" type="text" pInputText placeholder="Dealer" [(ngModel)]="filter.dealer"
                                    style="width: 100%" [disabled]="true" />
                            </div>
                        </div>
                        <div class="col-md-4 form-group">
                            <label for="from">{{ 'mpmApp.stockOpname.home.form.from' | translate }}</label>

                            <div class="input-group input-calendar">
                                <p-calendar [(ngModel)]="filter.from" dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true" [inputStyle]="{'padding':'3.5px'}"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                        <div class="col-md-4 form-group">
                            <label for="to">{{ 'mpmApp.stockOpname.home.form.to' | translate }}</label>

                            <div class="input-group input-calendar">
                                <p-calendar [(ngModel)]="filter.to" dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true" [inputStyle]="{'padding':'3.5px'}"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="row col-md-12">
                        <div class="col-md-4 form-group">
                            <label for="from">{{ 'mpmApp.stockOpname.home.form.stockNumber' | translate }}</label>

                            <div class="input-group"></div>
                            <p-autoComplete [(ngModel)]="filter.stock" [suggestions]="stockSuggest" (completeMethod)="filterStock($event)" field="stockOpnameNumber"
                                [forceSelection]="true" [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"></p-autoComplete>
                        </div>
                        <div class="col-md-4 form-group">
                            <label for="from">{{ 'mpmApp.stockOpname.home.form.status' | translate }}</label>

                            <div class="input-group"></div>
                            <p-dropdown [options]="statusType" [(ngModel)]="filter.status" optionLabel="description" [style]="{'width':'100%'}" placeholder="Select Status"></p-dropdown>
                        </div>
                        <div class="col-md-4 form-group">
                            <label for="from">{{ 'mpmApp.stockOpname.home.form.typeOpname' | translate }}</label>

                            <div class="input-group"></div>
                            <p-dropdown [options]="stockopnametypes" [(ngModel)]="filter.type" optionLabel="description" [style]="{'width':'100%'}" placeholder="Select Type"></p-dropdown>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="col-md-4 offset-md-8">
                            <div class="col-md-12 text-right">
                                <p-button label="Generate" styleClass="btn-primary" (click)="filterOpname()"></p-button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body"> {{rowIndex + 1}} </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpname.stockOpnameNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.StockOpnameNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpname.dateCreated'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtCreated | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.stockOpname.calendar'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.calendarId">
                    <a [routerLink]="['../standard-calendar', rowData.calendarId  ]">{{rowData.calendarDescription}}</a>
                </div>
            </ng-template>
        </p-column> -->
        <p-column header="{{'mpmApp.stockOpname.internal'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]">{{rowData.IdInternal}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpname.stockOpnameType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.stockOpnameTypeId">
                    <a [routerLink]="['../stock-opname-type', rowData.stockOpnameTypeId  ]">{{rowData.stockOpnameTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../stock-opname', rowData.idStockOpname]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button class="btn-primary" *ngIf="rowData.currentStatus == 10" pButton type="submit" (click)="processCutOff(rowData.idStockOpname)"
                    label="Prosess"> </button>
                <button class="btn-primary" *ngIf="rowData.currentStatus == 120" pButton type="submit" [routerLink]="['../stock-opname/0/' + page + '/' + rowData.idStockOpname + '/edit']"
                    label="Update"> </button>
                <button class="btn-primary" *ngIf="rowData.currentStatus == 50" pButton type="submit" [routerLink]="['../stock-opname/0/' + page + '/' + rowData.idStockOpname + '/edit']"
                    label="Adjustment"> </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion"> </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>
